{
  "name": "output/sor/sales_packing_material/column.json",
  "info": "https://www.ag-grid.com/javascript-grid-cell-styling/#gsc.tab=0",
  "options":  {
    "main_table": "sor",
    "grid_option": {
      "enable_filter": false
    }
  },
  "columns": [
    {
      "field": "sor_row_number",
      "width": 30,
      "name": "Rivi",
      "enterable": 1,
      "cellClassRules": {
        "": "x < 0",
        "grey": "x == 0",
        "blue": "x > 0"
      }
    },
    {
      "field": "sor_product_id",
      "width": 88,
      "name": "Tuote",
      "enterable": false,
      "cellClass": "grey",
      "cellEditorXX": "popupSelect",
      "cellEditorParamsXX": {
        "values": "popup.product",
        "popup_field": "value",
        "set_popup_show_field": "sor_explanation"
      }
    },
    {
      "field": "sor_explanation",
      "width": 220,
      "name": "Selitys",
      "enterable": 1
    },
    {
      "field": "sor_ordered_amount",
      "width": 30,
      "name": "Määrä",
      "enterable": 1,
      "cellClassRules": {
        "blue": "x > 0"
      }
    },
    {
      "field": "sor_price__unit",
      "width": 40,
      "name": "á-hinta",
      "format": "%'.2f",
      "enterable": 1,
      "cellClassRules": {
        "blue": "x > 0"
      }
    },
    {
      "field": "sor_unit",
      "width": 35,
      "name": "Yksikkö",
      "cellClass": "grey"
    },
    {
      "field": "sor_sales_order_id",
      "width": 55,
      "name": "Myyntitilaus",
      "cellClass": "grey"
    },
    {
      "field": "sor_dispatch_note_id",
      "width": 55,
      "name": "Lähetyslista",
      "cellClass": "grey"
    },
    {
      "field": "sor_order_amount_2",
      "width": 40,
      "name": "Määrä 2",
      "hide": false
    },
    {
      "field": "sor_record_id",
      "width": 210,
      "name": "id",
      "hide": false
    },
    {
      "field": "sor_sales_order_code_id",
      "width": 70,
      "name": "sor_sales_order_code_id"
    },
    {
      "field": "sor_delivery_state",
      "width": 70,
      "name": "sor_delivery_state",
      "hide": true
    },
    {
      "field": "so_record_id",
      "width": 210,
      "name": "order id",
      "hide": true
    }
  ],

  "columns_not_in_use": [
    {
      "variable": "test_valueGetter",
      "width": 30,
      "name": "Määrä* 10",
      "enterable": 1,
      "cellClassRules": {
        "red": "x > 0"
      },
      "valueGetter": "data.sor_price__unit * 10 + '%'"
    },
    {
      "field": "so_currency_id",
      "width": 35,
      "name": "Valuutta",
      "cellClass": "grey"
    },
    {
      "field": "sor_delivered_before",
      "width": 70,
      "name": "sor_delivered_before"
    },
    {
      "field": "sor_delivered_quantity",
      "width": 70,
      "name": "sor_delivered_quantity"
    },
    {
      "field": "sor_waiting_for_delivery",
      "width": 70,
      "name": "sor_waiting_for_delivery"
    },
    {
      "field": "sor_order_amount_2",
      "width": 70,
      "name": "sor_order_amount_2"
    },
    {
      "field": "co_price_group",
      "width": 70,
      "name": "co_price_group"
    },
    {
      "field": "co_sales_order_code_id",
      "width": 70,
      "name": "co_sales_order_code_id"
    },
    {
      "field": "so_currency_id",
      "width": 70,
      "name": "so_currency_id"
    }
  ]
}
